IPSW-DOWNLOAD-WIKI(1)

NAME

ipsw-download-wiki - Download old(er) IPSWs from theiphonewiki.com

SYNOPSIS

ipsw download wiki [flags]

DESCRIPTION

Download old(er) IPSWs from theiphonewiki.com

OPTIONS

--beta[=false]
    Download beta IPSWs/OTAs

--db="wiki_db.json"
    Path to local JSON database (will use CWD by default)

-f, --flat[=false]
    Do NOT perserve directory structure when downloading with --pattern

-h, --help[=false]
    help for wiki

--ipsw[=false]
    Download IPSWs

--json[=false]
    Parse URLs and store metadata in local JSON database

--kernel[=false]
    Extract kernelcache from remote IPSW

--ota[=false]
    Download OTAs

-o, --output=""
    Folder to download files to

--pattern=""
    Download remote files that match regex

--pb=""
    OTA prerequisite build

--pv=""
    OTA prerequisite version

OPTIONS INHERITED FROM PARENT COMMANDS

--black-list=[]
    iOS device black list

-b, --build=""
    iOS BuildID (i.e. 16F203)

--color[=false]
    colorize output

--config=""
    config file (default is $HOME/.config/ipsw/config.yaml)

-y, --confirm[=false]
    do not prompt user for confirmation

-d, --device=""
    iOS Device (i.e. iPhone11,2)

--insecure[=false]
    do not verify ssl certs

-m, --model=""
    iOS Model (i.e. D321AP)

--no-color[=false]
    disable colorize output

--proxy=""
    HTTP/HTTPS proxy

-_, --remove-commas[=false]
    replace commas in IPSW filename with underscores

--restart-all[=false]
    always restart resumable IPSWs

--resume-all[=false]
    always resume resumable IPSWs

--skip-all[=false]
    always skip resumable IPSWs

-V, --verbose[=false]
    verbose output

-v, --version=""
    iOS Version (i.e. 12.3.1)

--white-list=[]
    iOS device white list

SEE ALSO

ipsw-download(1)

HISTORY

1-May-2024 Auto generated by spf13/cobra